- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# IntersectVisitor File Reference

`#include <osg/NodeVisitor>`
`#include <osg/LineSegment>`
`#include <osg/Geode>`
`#include <osg/Matrix>`
`#include <osgUtil/Export>`
`#include <map>`
`#include <set>`
`#include <vector>`

Include dependency graph for IntersectVisitor:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgUtil
## Classes
class | osgUtil::Hit
class | osgUtil::IntersectVisitor
| Basic visitor for ray based collisions of a scene. More...
class | osgUtil::IntersectVisitor::IntersectState
## Defines
#define | OSGUTIL_INTERSECTVISITOR 1

## Define Documentation

#define OSGUTIL_INTERSECTVISITOR 1